Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class MissingFieldException

An exception occurred if a dynamic field dispatch fails with an unknown field. Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

author:
  James Strachan

version:
  $Revision: 6817 $

Field Summary
`String` | `field`
`Class` | `type`

Constructor Summary
`MissingFieldException(String field, Class type)`
`MissingFieldException(String field, Class type, Throwable e)`
`MissingFieldException(String message, String field, Class type)`

Method Summary
`String` | `getField()`
`Class` | `getType()`

Constructor Detail

### MissingFieldException

    public MissingFieldException(String field, Class type)

### MissingFieldException

    public MissingFieldException(String field, Class type, Throwable e)

### MissingFieldException

    public MissingFieldException(String message, String field, Class type)

Method Detail

### getField

    public String getField()

  return:
    the name of the field that could not be found

### getType

    public Class getType()

  return:
    The type on which the field was attempted to be called